<?php
/**
 * The template for displaying archive pages
 *
 * @package Uku Light
 * @since Uku Light 1.0
 * @version 1.0
 */

get_header(); ?>

<div class="content-wrap">
	
	<div id="blog-wrap" class="blog-wrap cf">

	<div id="primary" class="site-content cf" role="main">

		<?php if ( have_posts() ) : ?>

			<header class="archive-header">
				<?php
					the_archive_title( '<h1 class="archive-title">', '</h1>' );
					the_archive_description( '<div class="taxonomy-description">', '</div>' );
				?>
			</header><!-- end .archive-header -->

			<?php
				// Start the Loop.
				while ( have_posts() ) : the_post();

					get_template_part( 'template-parts/content', get_post_format() );

				// End the loop.
				endwhile;
				
				// Previous/next page navigation.
				the_posts_pagination( array(
					'next_text' => '<span class="meta-nav">' . __( 'Older', 'uku-light' ) . '</span> ' .
					'<span class="screen-reader-text">' . __( 'Older Posts', 'uku-light' ) . '</span> ',
					'prev_text' => '<span class="meta-nav">' . __( 'Newer', 'uku-light' ) . '</span> ' .
					'<span class="screen-reader-text">' . __( 'Newer Posts', 'uku-light' ) . '</span> ',
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'uku-light' ) . ' </span>',
			) );

			// If no content, include the "No posts found" template.
		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</div><!-- end #primary -->

	<?php get_sidebar(); ?>

	</div><!-- end .blog-wrap -->

</div><!-- end .content-wrap -->

<?php get_footer(); ?>