<?php
/**
 * The default template for displaying content
 *
 * @package Uku Light
 * @since Uku Light 1.0
 * @version 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('cf'); ?>>
	
	<?php if ( '' != get_the_post_thumbnail() && ! post_password_required() ) : ?>
		<div class="entry-thumbnail fadein">
			<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('uku-light-standard-blog'); ?></a>
			</div><!-- end .entry-thumbnail -->
	<?php endif; ?>

	<div class="meta-main-wrap">

		<div class="entry-meta">
			<span class="entry-author">
				<?php
					printf( __( 'by <a href="%1$s" title="%2$s">%3$s</a>', 'uku-light' ),
					esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
					sprintf( esc_attr__( 'All posts by %s', 'uku-light' ), get_the_author() ),
					get_the_author() );
				?>
			</span><!-- end .entry-author -->
			<span class="entry-date">
				<a href="<?php the_permalink(); ?>"><?php echo get_the_date(); ?></a>
			</span><!-- end .entry-date -->
			<?php if ( comments_open() ) : ?>
			<span class="entry-comments">
				<?php comments_popup_link( '<span class="leave-reply">' . esc_html__( '0', 'uku-light' ) . '</span>', esc_html__( '1', 'uku-light' ), esc_html__( '%', 'uku-light' ) ); ?>
			</span><!-- end .entry-comments -->
		<?php endif; // comments_open() ?>
	
			<?php edit_post_link( esc_html__( 'Edit Post', 'uku-light' ), '<span class="entry-edit">', '</span>' ); ?>
		</div><!-- end .entry-meta -->

		<div class="entry-main">
			<header class="entry-header">
				<?php if ( has_category() ) : ?>
				<div class="entry-cats">
					<?php the_category(' '); ?>
				</div><!-- end .entry-cats -->
				<?php endif; // has_category() ?>
				<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
			</header><!-- end .entry-header -->
			
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div><!-- .entry-summary -->
		</div><!-- .entry-main -->
	
	</div><!-- .meta-main-wrap -->

</article><!-- end post -<?php the_ID(); ?> -->
